| mipicsiss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions | Variables
xmipi_menu.c File Reference

## Overview

This file contains the Xilinx Menu implementation as used in the MIPI example design.

Please see xmipi_menu.h for more details.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  pg    12/07/17 Initial release.

## Functions
void | Info (void)
| This function outputs the video timing , Audio, Link Status, HDMI RX state of HDMI RX core. More...
void | EnableColorBar (XVphy *VphyPtr, XV_HdmiTxSs *HdmiTxSsPtr, XVidC_VideoMode VideoMode, XVidC_ColorFormat ColorFormat, XVidC_ColorDepth Bpc)
| This function enables the ColorBar. More...
void | CloneTxEdid (void)
| This function clones the EDID of the connected sink device to the HDMI RX. More...
void | ResetTpg (void)
| This function resets TPG IP. More...
void | XV_ConfigTpg (XV_tpg *InstancePtr)
| This function generates video pattern. More...
void | EnableDSI ()
| This function enables MIPI DSI SS. More...
void | Reset_IP_Pipe (void)
| This function resets image processing pipe. More...
void | CamReset (void)
| This function resets IMX274 camera sensor. More...
void | XMipi_MenuInitialize (XMipi_Menu *InstancePtr, u32 UartBaseAddress)
| This function takes care of the MIPI menu initialization. More...
void | XMipi_MenuReset (XMipi_Menu *InstancePtr)
| This function resets the menu to the main menu. More...
void | XMipi_MenuProcess (XMipi_Menu *InstancePtr)
| This function is called to trigger the MIPI menu state machine. More...

## Variables
u8 | IsPassThrough
| Demo mode 0-colorbar 1-pass through. More...
XTpg_PatternId | Pattern
| Video pattern. More...

## Function Documentation

void CamReset | ( | void |  | ) |

This function resets IMX274 camera sensor.

Returns
  None.

Note
  None.

void CloneTxEdid | ( | void |  | ) |

This function clones the EDID of the connected sink device to the HDMI RX.

Returns
  None.

Note
  None.

void EnableColorBar | ( | XVphy * | VphyPtr,
|  | XV_HdmiTxSs * | HdmiTxSsPtr,
|  | XVidC_VideoMode | VideoMode,
|  | XVidC_ColorFormat | ColorFormat,
|  | XVidC_ColorDepth | Bpc
| ) |  |

This function enables the ColorBar.

Parameters

  VphyPtr | is a pointer to the VPHY core instance.
  HdmiTxSsPtr | is a pointer to the XV_HdmiTxSs instance.
  VideoMode | is the resolution that is to be displayed
  ColorFormat | that can be RGB888 or YUV422 or YUV420
  Bpc | is the Bits per color that can be 8 or 10 or 12

Returns
  None.

Note
  None.

References I2cClk(), and IsPassThrough.

Referenced by main().

void EnableDSI | ( | void |  | ) |

This function enables MIPI DSI SS.

Returns
  None.

Note
  None.

Referenced by main().

void Info | ( | void |  | ) |

This function outputs the video timing , Audio, Link Status, HDMI RX state of HDMI RX core.

In addition, it also prints information about HDMI TX, and HDMI GT cores.

Returns
  None.

Note
  None.

In addition, it also prints information about HDMI TX, and HDMI GT cores.

Parameters

  None. |

Returns
  None.

Note
  None.

In addition, it also prints information about HDMI TX, and HDMI GT cores.

Parameters

  None. |

Returns
  None.

Note
  None.

void Reset_IP_Pipe | ( | void |  | ) |

This function resets image processing pipe.

Returns
  None.

Note
  None.

void ResetTpg | ( | void |  | ) |

This function resets TPG IP.

Returns
  None.

Note
  None.

Referenced by main(), and StartTxAfterRx().

void XMipi_MenuInitialize | ( | XMipi_Menu * | InstancePtr,
|  | u32 | UartBaseAddress
| ) |  |

This function takes care of the MIPI menu initialization.

Parameters

  InstancePtr | is a pointer to the XMipi_Menu instance.
  UartBaseAddress | points to the base address of PS uart.

Returns
  None

Note
  None

Referenced by main().

void XMipi_MenuProcess | ( | XMipi_Menu * | InstancePtr | ) |

This function is called to trigger the MIPI menu state machine.

Parameters

  InstancePtr | is a pointer to the XMipi_Menu instance.

Returns
  None

Note
  None

Referenced by main().

void XMipi_MenuReset | ( | XMipi_Menu * | InstancePtr | ) |

This function resets the menu to the main menu.

Parameters

  InstancePtr | is a pointer to the XMipi_Menu instance.

Returns
  None

Note
  None

void XV_ConfigTpg | ( | XV_tpg * | InstancePtr | ) |

This function generates video pattern.

Parameters

  InstancePtr | TPG Instance Pointer.

Returns
  None.

Note
  None.

References Pattern.

Referenced by main(), and StartTxAfterRx().

## Variable Documentation

u8 IsPassThrough

Demo mode 0-colorbar 1-pass through.

XTpg_PatternId Pattern

Video pattern.

Referenced by main(), and XV_ConfigTpg().